qmf {waveslim} | R Documentation

## Quadrature Mirror Filter

### Description

Computes the quadrature mirror filter from a given filter.

### Usage

    qmf(g, low2high=TRUE)

### Arguments

`g` | Filter coefficients.
`low2high` | Logical, default is `TRUE` which means a low-pass filter is input and a high-pass filter is output. Setting `low2high=F` performs the inverse.

### Details

None.

### Value

Quadrature mirror filter.

### Author(s)

B. Whitcher

### References

Any basic signal processing text.

### See Also

`wave.filter`.

### Examples

    ## Haar wavelet filter
    g <- wave.filter("haar")$lpf
    qmf(g)

[Package waveslim version 1.7.5.1 Index]